package com.mortals.xhx.module.apply.model;

import java.util.List;
import com.mortals.xhx.module.apply.model.MatterApplyDatumEntity;
/**
* 事项申报材料查询对象
*
* @author zxfei
* @date 2023-05-23
*/
public class MatterApplyDatumQuery extends MatterApplyDatumEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 用户申报id */
    private Long applyIdStart;

    /** 结束 用户申报id */
    private Long applyIdEnd;

    /** 增加 用户申报id */
    private Long applyIdIncrement;

    /** 用户申报id列表 */
    private List <Long> applyIdList;

    /** 用户申报id排除列表 */
    private List <Long> applyIdNotList;

    /** 开始 单事项id */
    private Long singleMatterIdStart;

    /** 结束 单事项id */
    private Long singleMatterIdEnd;

    /** 增加 单事项id */
    private Long singleMatterIdIncrement;

    /** 单事项id列表 */
    private List <Long> singleMatterIdList;

    /** 单事项id排除列表 */
    private List <Long> singleMatterIdNotList;

    /** 开始 基础事项id */
    private Long matterIdStart;

    /** 结束 基础事项id */
    private Long matterIdEnd;

    /** 增加 基础事项id */
    private Long matterIdIncrement;

    /** 基础事项id列表 */
    private List <Long> matterIdList;

    /** 基础事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 材料id排除列表 */
    private List <Long> datumIdNotList;

    /** 材料名称 */
    private List<String> materialNameList;

    /** 材料名称排除列表 */
    private List <String> materialNameNotList;
    /** 附件文件名称 */
    private List<String> fileNameList;

    /** 附件文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 附件文件地址 */
    private List<String> fileUrlList;

    /** 附件文件地址排除列表 */
    private List <String> fileUrlNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 预审状态 */
    private Integer reviewStatusStart;

    /** 结束 预审状态 */
    private Integer reviewStatusEnd;

    /** 增加 预审状态 */
    private Integer reviewStatusIncrement;

    /** 预审状态列表 */
    private List <Integer> reviewStatusList;

    /** 预审状态排除列表 */
    private List <Integer> reviewStatusNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterApplyDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterApplyDatumQuery> andConditionList;

    public MatterApplyDatumQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 用户申报id
     * @return applyIdStart
     */
    public Long getApplyIdStart(){
        return this.applyIdStart;
    }

    /**
     * 设置 开始 用户申报id
     * @param applyIdStart
     */
    public void setApplyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
    }

    /**
     * 获取 结束 用户申报id
     * @return $applyIdEnd
     */
    public Long getApplyIdEnd(){
        return this.applyIdEnd;
    }

    /**
     * 设置 结束 用户申报id
     * @param applyIdEnd
     */
    public void setApplyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
    }

    /**
     * 获取 增加 用户申报id
     * @return applyIdIncrement
     */
    public Long getApplyIdIncrement(){
        return this.applyIdIncrement;
    }

    /**
     * 设置 增加 用户申报id
     * @param applyIdIncrement
     */
    public void setApplyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
    }

    /**
     * 获取 用户申报id
     * @return applyIdList
     */
    public List<Long> getApplyIdList(){
        return this.applyIdList;
    }

    /**
     * 设置 用户申报id
     * @param applyIdList
     */
    public void setApplyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
    }

    /**
     * 获取 用户申报id
     * @return applyIdNotList
     */
    public List<Long> getApplyIdNotList(){
        return this.applyIdNotList;
    }

    /**
     * 设置 用户申报id
     * @param applyIdNotList
     */
    public void setApplyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
    }


    /**
     * 获取 开始 单事项id
     * @return singleMatterIdStart
     */
    public Long getSingleMatterIdStart(){
        return this.singleMatterIdStart;
    }

    /**
     * 设置 开始 单事项id
     * @param singleMatterIdStart
     */
    public void setSingleMatterIdStart(Long singleMatterIdStart){
        this.singleMatterIdStart = singleMatterIdStart;
    }

    /**
     * 获取 结束 单事项id
     * @return $singleMatterIdEnd
     */
    public Long getSingleMatterIdEnd(){
        return this.singleMatterIdEnd;
    }

    /**
     * 设置 结束 单事项id
     * @param singleMatterIdEnd
     */
    public void setSingleMatterIdEnd(Long singleMatterIdEnd){
        this.singleMatterIdEnd = singleMatterIdEnd;
    }

    /**
     * 获取 增加 单事项id
     * @return singleMatterIdIncrement
     */
    public Long getSingleMatterIdIncrement(){
        return this.singleMatterIdIncrement;
    }

    /**
     * 设置 增加 单事项id
     * @param singleMatterIdIncrement
     */
    public void setSingleMatterIdIncrement(Long singleMatterIdIncrement){
        this.singleMatterIdIncrement = singleMatterIdIncrement;
    }

    /**
     * 获取 单事项id
     * @return singleMatterIdList
     */
    public List<Long> getSingleMatterIdList(){
        return this.singleMatterIdList;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdList
     */
    public void setSingleMatterIdList(List<Long> singleMatterIdList){
        this.singleMatterIdList = singleMatterIdList;
    }

    /**
     * 获取 单事项id
     * @return singleMatterIdNotList
     */
    public List<Long> getSingleMatterIdNotList(){
        return this.singleMatterIdNotList;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdNotList
     */
    public void setSingleMatterIdNotList(List<Long> singleMatterIdNotList){
        this.singleMatterIdNotList = singleMatterIdNotList;
    }


    /**
     * 获取 开始 基础事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 基础事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 基础事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 基础事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 基础事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 基础事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 基础事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 基础事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 基础事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 基础事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 开始 材料id
     * @return datumIdStart
     */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $datumIdEnd
     */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return datumIdIncrement
     */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
     * 获取 材料id
     * @return datumIdList
     */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
     * 获取 材料id
     * @return datumIdNotList
     */
    public List<Long> getDatumIdNotList(){
        return this.datumIdNotList;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public void setDatumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
    }


    /**
     * 获取 材料名称
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名称
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }

    /**
     * 获取 材料名称
     * @return materialNameNotList
     */
    public List<String> getMaterialNameNotList(){
        return this.materialNameNotList;
    }

    /**
     * 设置 材料名称
     * @param materialNameNotList
     */
    public void setMaterialNameNotList(List<String> materialNameNotList){
        this.materialNameNotList = materialNameNotList;
    }

    /**
     * 获取 附件文件名称
     * @return fileNameList
     */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
     * 设置 附件文件名称
     * @param fileNameList
     */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
     * 获取 附件文件名称
     * @return fileNameNotList
     */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
     * 设置 附件文件名称
     * @param fileNameNotList
     */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
     * 获取 附件文件地址
     * @return fileUrlList
     */
    public List<String> getFileUrlList(){
        return this.fileUrlList;
    }

    /**
     * 设置 附件文件地址
     * @param fileUrlList
     */
    public void setFileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
    }

    /**
     * 获取 附件文件地址
     * @return fileUrlNotList
     */
    public List<String> getFileUrlNotList(){
        return this.fileUrlNotList;
    }

    /**
     * 设置 附件文件地址
     * @param fileUrlNotList
     */
    public void setFileUrlNotList(List<String> fileUrlNotList){
        this.fileUrlNotList = fileUrlNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 预审状态
     * @return reviewStatusStart
     */
    public Integer getReviewStatusStart(){
        return this.reviewStatusStart;
    }

    /**
     * 设置 开始 预审状态
     * @param reviewStatusStart
     */
    public void setReviewStatusStart(Integer reviewStatusStart){
        this.reviewStatusStart = reviewStatusStart;
    }

    /**
     * 获取 结束 预审状态
     * @return $reviewStatusEnd
     */
    public Integer getReviewStatusEnd(){
        return this.reviewStatusEnd;
    }

    /**
     * 设置 结束 预审状态
     * @param reviewStatusEnd
     */
    public void setReviewStatusEnd(Integer reviewStatusEnd){
        this.reviewStatusEnd = reviewStatusEnd;
    }

    /**
     * 获取 增加 预审状态
     * @return reviewStatusIncrement
     */
    public Integer getReviewStatusIncrement(){
        return this.reviewStatusIncrement;
    }

    /**
     * 设置 增加 预审状态
     * @param reviewStatusIncrement
     */
    public void setReviewStatusIncrement(Integer reviewStatusIncrement){
        this.reviewStatusIncrement = reviewStatusIncrement;
    }

    /**
     * 获取 预审状态
     * @return reviewStatusList
     */
    public List<Integer> getReviewStatusList(){
        return this.reviewStatusList;
    }

    /**
     * 设置 预审状态
     * @param reviewStatusList
     */
    public void setReviewStatusList(List<Integer> reviewStatusList){
        this.reviewStatusList = reviewStatusList;
    }

    /**
     * 获取 预审状态
     * @return reviewStatusNotList
     */
    public List<Integer> getReviewStatusNotList(){
        return this.reviewStatusNotList;
    }

    /**
     * 设置 预审状态
     * @param reviewStatusNotList
     */
    public void setReviewStatusNotList(List<Integer> reviewStatusNotList){
        this.reviewStatusNotList = reviewStatusNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public MatterApplyDatumQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public MatterApplyDatumQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public MatterApplyDatumQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public MatterApplyDatumQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public MatterApplyDatumQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public MatterApplyDatumQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public MatterApplyDatumQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public MatterApplyDatumQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public MatterApplyDatumQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public MatterApplyDatumQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public MatterApplyDatumQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public MatterApplyDatumQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  用户申报id
     * @param applyId
     */
    public MatterApplyDatumQuery applyId(Long applyId){
        setApplyId(applyId);
        return this;
    }

    /**
     * 设置 开始 用户申报id
     * @param applyIdStart
     */
    public MatterApplyDatumQuery applyIdStart(Long applyIdStart){
        this.applyIdStart = applyIdStart;
        return this;
    }

    /**
     * 设置 结束 用户申报id
     * @param applyIdEnd
     */
    public MatterApplyDatumQuery applyIdEnd(Long applyIdEnd){
        this.applyIdEnd = applyIdEnd;
        return this;
    }

    /**
     * 设置 增加 用户申报id
     * @param applyIdIncrement
     */
    public MatterApplyDatumQuery applyIdIncrement(Long applyIdIncrement){
        this.applyIdIncrement = applyIdIncrement;
        return this;
    }

    /**
     * 设置 用户申报id
     * @param applyIdList
     */
    public MatterApplyDatumQuery applyIdList(List<Long> applyIdList){
        this.applyIdList = applyIdList;
        return this;
    }

    /**
     * 设置 用户申报id
     * @param applyIdNotList
     */
    public MatterApplyDatumQuery applyIdNotList(List<Long> applyIdNotList){
        this.applyIdNotList = applyIdNotList;
        return this;
    }

    /**
     * 设置  单事项id
     * @param singleMatterId
     */
    public MatterApplyDatumQuery singleMatterId(Long singleMatterId){
        setSingleMatterId(singleMatterId);
        return this;
    }

    /**
     * 设置 开始 单事项id
     * @param singleMatterIdStart
     */
    public MatterApplyDatumQuery singleMatterIdStart(Long singleMatterIdStart){
        this.singleMatterIdStart = singleMatterIdStart;
        return this;
    }

    /**
     * 设置 结束 单事项id
     * @param singleMatterIdEnd
     */
    public MatterApplyDatumQuery singleMatterIdEnd(Long singleMatterIdEnd){
        this.singleMatterIdEnd = singleMatterIdEnd;
        return this;
    }

    /**
     * 设置 增加 单事项id
     * @param singleMatterIdIncrement
     */
    public MatterApplyDatumQuery singleMatterIdIncrement(Long singleMatterIdIncrement){
        this.singleMatterIdIncrement = singleMatterIdIncrement;
        return this;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdList
     */
    public MatterApplyDatumQuery singleMatterIdList(List<Long> singleMatterIdList){
        this.singleMatterIdList = singleMatterIdList;
        return this;
    }

    /**
     * 设置 单事项id
     * @param singleMatterIdNotList
     */
    public MatterApplyDatumQuery singleMatterIdNotList(List<Long> singleMatterIdNotList){
        this.singleMatterIdNotList = singleMatterIdNotList;
        return this;
    }

    /**
     * 设置  基础事项id
     * @param matterId
     */
    public MatterApplyDatumQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 基础事项id
     * @param matterIdStart
     */
    public MatterApplyDatumQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 基础事项id
     * @param matterIdEnd
     */
    public MatterApplyDatumQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 基础事项id
     * @param matterIdIncrement
     */
    public MatterApplyDatumQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 基础事项id
     * @param matterIdList
     */
    public MatterApplyDatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 基础事项id
     * @param matterIdNotList
     */
    public MatterApplyDatumQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }

    /**
     * 设置  材料id
     * @param datumId
     */
    public MatterApplyDatumQuery datumId(Long datumId){
        setDatumId(datumId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public MatterApplyDatumQuery datumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public MatterApplyDatumQuery datumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public MatterApplyDatumQuery datumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public MatterApplyDatumQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public MatterApplyDatumQuery datumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
        return this;
    }


    /**
     * 设置 材料名称
     * @param materialName
     */
    public MatterApplyDatumQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名称
     * @param materialNameList
     */
    public MatterApplyDatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }


    /**
     * 设置 附件文件名称
     * @param fileName
     */
    public MatterApplyDatumQuery fileName(String fileName){
        setFileName(fileName);
        return this;
    }

    /**
     * 设置 附件文件名称
     * @param fileNameList
     */
    public MatterApplyDatumQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
        return this;
    }


    /**
     * 设置 附件文件地址
     * @param fileUrl
     */
    public MatterApplyDatumQuery fileUrl(String fileUrl){
        setFileUrl(fileUrl);
        return this;
    }

    /**
     * 设置 附件文件地址
     * @param fileUrlList
     */
    public MatterApplyDatumQuery fileUrlList(List<String> fileUrlList){
        this.fileUrlList = fileUrlList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterApplyDatumQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterApplyDatumQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterApplyDatumQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterApplyDatumQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterApplyDatumQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public MatterApplyDatumQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public MatterApplyDatumQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public MatterApplyDatumQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public MatterApplyDatumQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public MatterApplyDatumQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public MatterApplyDatumQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public MatterApplyDatumQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  预审状态
     * @param reviewStatus
     */
    public MatterApplyDatumQuery reviewStatus(Integer reviewStatus){
        setReviewStatus(reviewStatus);
        return this;
    }

    /**
     * 设置 开始 预审状态
     * @param reviewStatusStart
     */
    public MatterApplyDatumQuery reviewStatusStart(Integer reviewStatusStart){
        this.reviewStatusStart = reviewStatusStart;
        return this;
    }

    /**
     * 设置 结束 预审状态
     * @param reviewStatusEnd
     */
    public MatterApplyDatumQuery reviewStatusEnd(Integer reviewStatusEnd){
        this.reviewStatusEnd = reviewStatusEnd;
        return this;
    }

    /**
     * 设置 增加 预审状态
     * @param reviewStatusIncrement
     */
    public MatterApplyDatumQuery reviewStatusIncrement(Integer reviewStatusIncrement){
        this.reviewStatusIncrement = reviewStatusIncrement;
        return this;
    }

    /**
     * 设置 预审状态
     * @param reviewStatusList
     */
    public MatterApplyDatumQuery reviewStatusList(List<Integer> reviewStatusList){
        this.reviewStatusList = reviewStatusList;
        return this;
    }

    /**
     * 设置 预审状态
     * @param reviewStatusNotList
     */
    public MatterApplyDatumQuery reviewStatusNotList(List<Integer> reviewStatusNotList){
        this.reviewStatusNotList = reviewStatusNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterApplyDatumQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterApplyDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterApplyDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterApplyDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }


}