package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteDatumLibraryEntity;
/**
 * 站点材料公共库查询对象
 *
 * @author zxfei
 * @date 2023-03-11
 */
public class SiteDatumLibraryQuery extends SiteDatumLibraryEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 事项基础表matter id */
    private Long matterIdStart;

    /** 结束 事项基础表matter id */
    private Long matterIdEnd;

    /** 增加 事项基础表matter id */
    private Long matterIdIncrement;

    /** 事项基础表matter id列表 */
    private List <Long> matterIdList;

    /** 事项基础表matter id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 材料名 */
    private List<String> materialNameList;

    /** 材料名排除列表 */
    private List <String> materialNameNotList;
    /** 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补） */
    private List<String> isMustList;

    /** 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）排除列表 */
    private List <String> isMustNotList;
    /** 材料类型（1.无，2.原件，3.复印件，4.原件和复印件) */
    private List<String> materialTypeList;

    /** 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)排除列表 */
    private List <String> materialTypeNotList;
    /** 材料形式（1.纸质，2.电子，3.纸质|电子） */
    private List<String> materialPropertyList;

    /** 材料形式（1.纸质，2.电子，3.纸质|电子）排除列表 */
    private List <String> materialPropertyNotList;
    /** 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg） */
    private List<String> electronicgsList;

    /** 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）排除列表 */
    private List <String> electronicgsNotList;
    /** 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他） */
    private List<String> materialSourceList;

    /** 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）排除列表 */
    private List <String> materialSourceNotList;
    /** 开始 纸质材料份数 */
    private Integer paperNumStart;

    /** 结束 纸质材料份数 */
    private Integer paperNumEnd;

    /** 增加 纸质材料份数 */
    private Integer paperNumIncrement;

    /** 纸质材料份数列表 */
    private List <Integer> paperNumList;

    /** 纸质材料份数排除列表 */
    private List <Integer> paperNumNotList;

    /** 纸质材料规格 */
    private List<String> paperGgList;

    /** 纸质材料规格排除列表 */
    private List <String> paperGgNotList;
    /** 减免模式（1.无，2.减，3.免） */
    private List<String> jianmMsList;

    /** 减免模式（1.无，2.减，3.免）排除列表 */
    private List <String> jianmMsNotList;
    /** 盖章方式 */
    private List<String> sealWayList;

    /** 盖章方式排除列表 */
    private List <String> sealWayNotList;
    /** 是否减免（0.否，1.是） */
    private List<String> isjianmList;

    /** 是否减免（0.否，1.是）排除列表 */
    private List <String> isjianmNotList;
    /** 材料是否容缺（1.必要，2.非必要） */
    private List<String> isLackList;

    /** 材料是否容缺（1.必要，2.非必要）排除列表 */
    private List <String> isLackNotList;
    /** 材料地址 */
    private List<String> ybUrlList;

    /** 材料地址排除列表 */
    private List <String> ybUrlNotList;
    /** 来源渠道说明 */
    private List<String> materialSourceSmList;

    /** 来源渠道说明排除列表 */
    private List <String> materialSourceSmNotList;
    /** 填报须知 */
    private List<String> remarkSubList;

    /** 填报须知排除列表 */
    private List <String> remarkSubNotList;
    /** 要求提供材料的依据 */
    private List<String> clauseContentList;

    /** 要求提供材料的依据排除列表 */
    private List <String> clauseContentNotList;
    /** 受理标准 */
    private List<String> summaryList;

    /** 受理标准排除列表 */
    private List <String> summaryNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 事项来源(0.政务网，1.自定义)排除列表 */
    private List <Integer> sourceNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id列表 */
    private List <Long> datumIdList;

    /** 材料id排除列表 */
    private List <Long> datumIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteDatumLibraryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteDatumLibraryQuery> andConditionList;

    public SiteDatumLibraryQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 事项基础表matter id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项基础表matter id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项基础表matter id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项基础表matter id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项基础表matter id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项基础表matter id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项基础表matter id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项基础表matter id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项基础表matter id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项基础表matter id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 材料名
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }

    /**
     * 获取 材料名
     * @return materialNameNotList
     */
    public List<String> getMaterialNameNotList(){
        return this.materialNameNotList;
    }

    /**
     * 设置 材料名
     * @param materialNameNotList
     */
    public void setMaterialNameNotList(List<String> materialNameNotList){
        this.materialNameNotList = materialNameNotList;
    }

    /**
     * 获取 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @return isMustList
     */
    public List<String> getIsMustList(){
        return this.isMustList;
    }

    /**
     * 设置 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @param isMustList
     */
    public void setIsMustList(List<String> isMustList){
        this.isMustList = isMustList;
    }

    /**
     * 获取 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @return isMustNotList
     */
    public List<String> getIsMustNotList(){
        return this.isMustNotList;
    }

    /**
     * 设置 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @param isMustNotList
     */
    public void setIsMustNotList(List<String> isMustNotList){
        this.isMustNotList = isMustNotList;
    }

    /**
     * 获取 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @return materialTypeList
     */
    public List<String> getMaterialTypeList(){
        return this.materialTypeList;
    }

    /**
     * 设置 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @param materialTypeList
     */
    public void setMaterialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
    }

    /**
     * 获取 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @return materialTypeNotList
     */
    public List<String> getMaterialTypeNotList(){
        return this.materialTypeNotList;
    }

    /**
     * 设置 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @param materialTypeNotList
     */
    public void setMaterialTypeNotList(List<String> materialTypeNotList){
        this.materialTypeNotList = materialTypeNotList;
    }

    /**
     * 获取 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @return materialPropertyList
     */
    public List<String> getMaterialPropertyList(){
        return this.materialPropertyList;
    }

    /**
     * 设置 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @param materialPropertyList
     */
    public void setMaterialPropertyList(List<String> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
    }

    /**
     * 获取 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @return materialPropertyNotList
     */
    public List<String> getMaterialPropertyNotList(){
        return this.materialPropertyNotList;
    }

    /**
     * 设置 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @param materialPropertyNotList
     */
    public void setMaterialPropertyNotList(List<String> materialPropertyNotList){
        this.materialPropertyNotList = materialPropertyNotList;
    }

    /**
     * 获取 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @return electronicgsList
     */
    public List<String> getElectronicgsList(){
        return this.electronicgsList;
    }

    /**
     * 设置 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @param electronicgsList
     */
    public void setElectronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
    }

    /**
     * 获取 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @return electronicgsNotList
     */
    public List<String> getElectronicgsNotList(){
        return this.electronicgsNotList;
    }

    /**
     * 设置 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @param electronicgsNotList
     */
    public void setElectronicgsNotList(List<String> electronicgsNotList){
        this.electronicgsNotList = electronicgsNotList;
    }

    /**
     * 获取 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @return materialSourceList
     */
    public List<String> getMaterialSourceList(){
        return this.materialSourceList;
    }

    /**
     * 设置 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @param materialSourceList
     */
    public void setMaterialSourceList(List<String> materialSourceList){
        this.materialSourceList = materialSourceList;
    }

    /**
     * 获取 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @return materialSourceNotList
     */
    public List<String> getMaterialSourceNotList(){
        return this.materialSourceNotList;
    }

    /**
     * 设置 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @param materialSourceNotList
     */
    public void setMaterialSourceNotList(List<String> materialSourceNotList){
        this.materialSourceNotList = materialSourceNotList;
    }

    /**
     * 获取 开始 纸质材料份数
     * @return paperNumStart
     */
    public Integer getPaperNumStart(){
        return this.paperNumStart;
    }

    /**
     * 设置 开始 纸质材料份数
     * @param paperNumStart
     */
    public void setPaperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
    }

    /**
     * 获取 结束 纸质材料份数
     * @return $paperNumEnd
     */
    public Integer getPaperNumEnd(){
        return this.paperNumEnd;
    }

    /**
     * 设置 结束 纸质材料份数
     * @param paperNumEnd
     */
    public void setPaperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
    }

    /**
     * 获取 增加 纸质材料份数
     * @return paperNumIncrement
     */
    public Integer getPaperNumIncrement(){
        return this.paperNumIncrement;
    }

    /**
     * 设置 增加 纸质材料份数
     * @param paperNumIncrement
     */
    public void setPaperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
    }

    /**
     * 获取 纸质材料份数
     * @return paperNumList
     */
    public List<Integer> getPaperNumList(){
        return this.paperNumList;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumList
     */
    public void setPaperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
    }

    /**
     * 获取 纸质材料份数
     * @return paperNumNotList
     */
    public List<Integer> getPaperNumNotList(){
        return this.paperNumNotList;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumNotList
     */
    public void setPaperNumNotList(List<Integer> paperNumNotList){
        this.paperNumNotList = paperNumNotList;
    }


    /**
     * 获取 纸质材料规格
     * @return paperGgList
     */
    public List<String> getPaperGgList(){
        return this.paperGgList;
    }

    /**
     * 设置 纸质材料规格
     * @param paperGgList
     */
    public void setPaperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
    }

    /**
     * 获取 纸质材料规格
     * @return paperGgNotList
     */
    public List<String> getPaperGgNotList(){
        return this.paperGgNotList;
    }

    /**
     * 设置 纸质材料规格
     * @param paperGgNotList
     */
    public void setPaperGgNotList(List<String> paperGgNotList){
        this.paperGgNotList = paperGgNotList;
    }

    /**
     * 获取 减免模式（1.无，2.减，3.免）
     * @return jianmMsList
     */
    public List<String> getJianmMsList(){
        return this.jianmMsList;
    }

    /**
     * 设置 减免模式（1.无，2.减，3.免）
     * @param jianmMsList
     */
    public void setJianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
    }

    /**
     * 获取 减免模式（1.无，2.减，3.免）
     * @return jianmMsNotList
     */
    public List<String> getJianmMsNotList(){
        return this.jianmMsNotList;
    }

    /**
     * 设置 减免模式（1.无，2.减，3.免）
     * @param jianmMsNotList
     */
    public void setJianmMsNotList(List<String> jianmMsNotList){
        this.jianmMsNotList = jianmMsNotList;
    }

    /**
     * 获取 盖章方式
     * @return sealWayList
     */
    public List<String> getSealWayList(){
        return this.sealWayList;
    }

    /**
     * 设置 盖章方式
     * @param sealWayList
     */
    public void setSealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
    }

    /**
     * 获取 盖章方式
     * @return sealWayNotList
     */
    public List<String> getSealWayNotList(){
        return this.sealWayNotList;
    }

    /**
     * 设置 盖章方式
     * @param sealWayNotList
     */
    public void setSealWayNotList(List<String> sealWayNotList){
        this.sealWayNotList = sealWayNotList;
    }

    /**
     * 获取 是否减免（0.否，1.是）
     * @return isjianmList
     */
    public List<String> getIsjianmList(){
        return this.isjianmList;
    }

    /**
     * 设置 是否减免（0.否，1.是）
     * @param isjianmList
     */
    public void setIsjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
    }

    /**
     * 获取 是否减免（0.否，1.是）
     * @return isjianmNotList
     */
    public List<String> getIsjianmNotList(){
        return this.isjianmNotList;
    }

    /**
     * 设置 是否减免（0.否，1.是）
     * @param isjianmNotList
     */
    public void setIsjianmNotList(List<String> isjianmNotList){
        this.isjianmNotList = isjianmNotList;
    }

    /**
     * 获取 材料是否容缺（1.必要，2.非必要）
     * @return isLackList
     */
    public List<String> getIsLackList(){
        return this.isLackList;
    }

    /**
     * 设置 材料是否容缺（1.必要，2.非必要）
     * @param isLackList
     */
    public void setIsLackList(List<String> isLackList){
        this.isLackList = isLackList;
    }

    /**
     * 获取 材料是否容缺（1.必要，2.非必要）
     * @return isLackNotList
     */
    public List<String> getIsLackNotList(){
        return this.isLackNotList;
    }

    /**
     * 设置 材料是否容缺（1.必要，2.非必要）
     * @param isLackNotList
     */
    public void setIsLackNotList(List<String> isLackNotList){
        this.isLackNotList = isLackNotList;
    }

    /**
     * 获取 材料地址
     * @return ybUrlList
     */
    public List<String> getYbUrlList(){
        return this.ybUrlList;
    }

    /**
     * 设置 材料地址
     * @param ybUrlList
     */
    public void setYbUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
    }

    /**
     * 获取 材料地址
     * @return ybUrlNotList
     */
    public List<String> getYbUrlNotList(){
        return this.ybUrlNotList;
    }

    /**
     * 设置 材料地址
     * @param ybUrlNotList
     */
    public void setYbUrlNotList(List<String> ybUrlNotList){
        this.ybUrlNotList = ybUrlNotList;
    }

    /**
     * 获取 来源渠道说明
     * @return materialSourceSmList
     */
    public List<String> getMaterialSourceSmList(){
        return this.materialSourceSmList;
    }

    /**
     * 设置 来源渠道说明
     * @param materialSourceSmList
     */
    public void setMaterialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
    }

    /**
     * 获取 来源渠道说明
     * @return materialSourceSmNotList
     */
    public List<String> getMaterialSourceSmNotList(){
        return this.materialSourceSmNotList;
    }

    /**
     * 设置 来源渠道说明
     * @param materialSourceSmNotList
     */
    public void setMaterialSourceSmNotList(List<String> materialSourceSmNotList){
        this.materialSourceSmNotList = materialSourceSmNotList;
    }

    /**
     * 获取 填报须知
     * @return remarkSubList
     */
    public List<String> getRemarkSubList(){
        return this.remarkSubList;
    }

    /**
     * 设置 填报须知
     * @param remarkSubList
     */
    public void setRemarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
    }

    /**
     * 获取 填报须知
     * @return remarkSubNotList
     */
    public List<String> getRemarkSubNotList(){
        return this.remarkSubNotList;
    }

    /**
     * 设置 填报须知
     * @param remarkSubNotList
     */
    public void setRemarkSubNotList(List<String> remarkSubNotList){
        this.remarkSubNotList = remarkSubNotList;
    }

    /**
     * 获取 要求提供材料的依据
     * @return clauseContentList
     */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
     * 设置 要求提供材料的依据
     * @param clauseContentList
     */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }

    /**
     * 获取 要求提供材料的依据
     * @return clauseContentNotList
     */
    public List<String> getClauseContentNotList(){
        return this.clauseContentNotList;
    }

    /**
     * 设置 要求提供材料的依据
     * @param clauseContentNotList
     */
    public void setClauseContentNotList(List<String> clauseContentNotList){
        this.clauseContentNotList = clauseContentNotList;
    }

    /**
     * 获取 受理标准
     * @return summaryList
     */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
     * 设置 受理标准
     * @param summaryList
     */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }

    /**
     * 获取 受理标准
     * @return summaryNotList
     */
    public List<String> getSummaryNotList(){
        return this.summaryNotList;
    }

    /**
     * 设置 受理标准
     * @param summaryNotList
     */
    public void setSummaryNotList(List<String> summaryNotList){
        this.summaryNotList = summaryNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 事项来源(0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源(0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源(0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 材料id
     * @return datumIdStart
     */
    public Long getDatumIdStart(){
        return this.datumIdStart;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public void setDatumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
    }

    /**
     * 获取 结束 材料id
     * @return $datumIdEnd
     */
    public Long getDatumIdEnd(){
        return this.datumIdEnd;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public void setDatumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
    }

    /**
     * 获取 增加 材料id
     * @return datumIdIncrement
     */
    public Long getDatumIdIncrement(){
        return this.datumIdIncrement;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public void setDatumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
    }

    /**
     * 获取 材料id
     * @return datumIdList
     */
    public List<Long> getDatumIdList(){
        return this.datumIdList;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
    }

    /**
     * 获取 材料id
     * @return datumIdNotList
     */
    public List<Long> getDatumIdNotList(){
        return this.datumIdNotList;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public void setDatumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
    }


    /**
     * 设置  主键，自增长
     * @param id
     */
    public SiteDatumLibraryQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public SiteDatumLibraryQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public SiteDatumLibraryQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public SiteDatumLibraryQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public SiteDatumLibraryQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public SiteDatumLibraryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public SiteDatumLibraryQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public SiteDatumLibraryQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public SiteDatumLibraryQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public SiteDatumLibraryQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public SiteDatumLibraryQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public SiteDatumLibraryQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public SiteDatumLibraryQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public SiteDatumLibraryQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  事项基础表matter id
     * @param matterId
     */
    public SiteDatumLibraryQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项基础表matter id
     * @param matterIdStart
     */
    public SiteDatumLibraryQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项基础表matter id
     * @param matterIdEnd
     */
    public SiteDatumLibraryQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项基础表matter id
     * @param matterIdIncrement
     */
    public SiteDatumLibraryQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项基础表matter id
     * @param matterIdList
     */
    public SiteDatumLibraryQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项基础表matter id
     * @param matterIdNotList
     */
    public SiteDatumLibraryQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public SiteDatumLibraryQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public SiteDatumLibraryQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public SiteDatumLibraryQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public SiteDatumLibraryQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 材料名
     * @param materialName
     */
    public SiteDatumLibraryQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public SiteDatumLibraryQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }


    /**
     * 设置 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @param isMust
     */
    public SiteDatumLibraryQuery isMust(String isMust){
        setIsMust(isMust);
        return this;
    }

    /**
     * 设置 必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
     * @param isMustList
     */
    public SiteDatumLibraryQuery isMustList(List<String> isMustList){
        this.isMustList = isMustList;
        return this;
    }


    /**
     * 设置 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @param materialType
     */
    public SiteDatumLibraryQuery materialType(String materialType){
        setMaterialType(materialType);
        return this;
    }

    /**
     * 设置 材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
     * @param materialTypeList
     */
    public SiteDatumLibraryQuery materialTypeList(List<String> materialTypeList){
        this.materialTypeList = materialTypeList;
        return this;
    }


    /**
     * 设置 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @param materialProperty
     */
    public SiteDatumLibraryQuery materialProperty(String materialProperty){
        setMaterialProperty(materialProperty);
        return this;
    }

    /**
     * 设置 材料形式（1.纸质，2.电子，3.纸质|电子）
     * @param materialPropertyList
     */
    public SiteDatumLibraryQuery materialPropertyList(List<String> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
        return this;
    }


    /**
     * 设置 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @param electronicgs
     */
    public SiteDatumLibraryQuery electronicgs(String electronicgs){
        setElectronicgs(electronicgs);
        return this;
    }

    /**
     * 设置 电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
     * @param electronicgsList
     */
    public SiteDatumLibraryQuery electronicgsList(List<String> electronicgsList){
        this.electronicgsList = electronicgsList;
        return this;
    }


    /**
     * 设置 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @param materialSource
     */
    public SiteDatumLibraryQuery materialSource(String materialSource){
        setMaterialSource(materialSource);
        return this;
    }

    /**
     * 设置 材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
     * @param materialSourceList
     */
    public SiteDatumLibraryQuery materialSourceList(List<String> materialSourceList){
        this.materialSourceList = materialSourceList;
        return this;
    }

    /**
     * 设置  纸质材料份数
     * @param paperNum
     */
    public SiteDatumLibraryQuery paperNum(Integer paperNum){
        setPaperNum(paperNum);
        return this;
    }

    /**
     * 设置 开始 纸质材料份数
     * @param paperNumStart
     */
    public SiteDatumLibraryQuery paperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
        return this;
    }

    /**
     * 设置 结束 纸质材料份数
     * @param paperNumEnd
     */
    public SiteDatumLibraryQuery paperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
        return this;
    }

    /**
     * 设置 增加 纸质材料份数
     * @param paperNumIncrement
     */
    public SiteDatumLibraryQuery paperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
        return this;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumList
     */
    public SiteDatumLibraryQuery paperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
        return this;
    }

    /**
     * 设置 纸质材料份数
     * @param paperNumNotList
     */
    public SiteDatumLibraryQuery paperNumNotList(List<Integer> paperNumNotList){
        this.paperNumNotList = paperNumNotList;
        return this;
    }


    /**
     * 设置 纸质材料规格
     * @param paperGg
     */
    public SiteDatumLibraryQuery paperGg(String paperGg){
        setPaperGg(paperGg);
        return this;
    }

    /**
     * 设置 纸质材料规格
     * @param paperGgList
     */
    public SiteDatumLibraryQuery paperGgList(List<String> paperGgList){
        this.paperGgList = paperGgList;
        return this;
    }


    /**
     * 设置 减免模式（1.无，2.减，3.免）
     * @param jianmMs
     */
    public SiteDatumLibraryQuery jianmMs(String jianmMs){
        setJianmMs(jianmMs);
        return this;
    }

    /**
     * 设置 减免模式（1.无，2.减，3.免）
     * @param jianmMsList
     */
    public SiteDatumLibraryQuery jianmMsList(List<String> jianmMsList){
        this.jianmMsList = jianmMsList;
        return this;
    }


    /**
     * 设置 盖章方式
     * @param sealWay
     */
    public SiteDatumLibraryQuery sealWay(String sealWay){
        setSealWay(sealWay);
        return this;
    }

    /**
     * 设置 盖章方式
     * @param sealWayList
     */
    public SiteDatumLibraryQuery sealWayList(List<String> sealWayList){
        this.sealWayList = sealWayList;
        return this;
    }


    /**
     * 设置 是否减免（0.否，1.是）
     * @param isjianm
     */
    public SiteDatumLibraryQuery isjianm(String isjianm){
        setIsjianm(isjianm);
        return this;
    }

    /**
     * 设置 是否减免（0.否，1.是）
     * @param isjianmList
     */
    public SiteDatumLibraryQuery isjianmList(List<String> isjianmList){
        this.isjianmList = isjianmList;
        return this;
    }


    /**
     * 设置 材料是否容缺（1.必要，2.非必要）
     * @param isLack
     */
    public SiteDatumLibraryQuery isLack(String isLack){
        setIsLack(isLack);
        return this;
    }

    /**
     * 设置 材料是否容缺（1.必要，2.非必要）
     * @param isLackList
     */
    public SiteDatumLibraryQuery isLackList(List<String> isLackList){
        this.isLackList = isLackList;
        return this;
    }


    /**
     * 设置 材料地址
     * @param ybUrl
     */
    public SiteDatumLibraryQuery ybUrl(String ybUrl){
        setYbUrl(ybUrl);
        return this;
    }

    /**
     * 设置 材料地址
     * @param ybUrlList
     */
    public SiteDatumLibraryQuery ybUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
        return this;
    }


    /**
     * 设置 来源渠道说明
     * @param materialSourceSm
     */
    public SiteDatumLibraryQuery materialSourceSm(String materialSourceSm){
        setMaterialSourceSm(materialSourceSm);
        return this;
    }

    /**
     * 设置 来源渠道说明
     * @param materialSourceSmList
     */
    public SiteDatumLibraryQuery materialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
        return this;
    }


    /**
     * 设置 填报须知
     * @param remarkSub
     */
    public SiteDatumLibraryQuery remarkSub(String remarkSub){
        setRemarkSub(remarkSub);
        return this;
    }

    /**
     * 设置 填报须知
     * @param remarkSubList
     */
    public SiteDatumLibraryQuery remarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
        return this;
    }


    /**
     * 设置 要求提供材料的依据
     * @param clauseContent
     */
    public SiteDatumLibraryQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
        return this;
    }

    /**
     * 设置 要求提供材料的依据
     * @param clauseContentList
     */
    public SiteDatumLibraryQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
        return this;
    }


    /**
     * 设置 受理标准
     * @param summary
     */
    public SiteDatumLibraryQuery summary(String summary){
        setSummary(summary);
        return this;
    }

    /**
     * 设置 受理标准
     * @param summaryList
     */
    public SiteDatumLibraryQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public SiteDatumLibraryQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public SiteDatumLibraryQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  事项来源(0.政务网，1.自定义)
     * @param source
     */
    public SiteDatumLibraryQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public SiteDatumLibraryQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public SiteDatumLibraryQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public SiteDatumLibraryQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public SiteDatumLibraryQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceNotList
     */
    public SiteDatumLibraryQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public SiteDatumLibraryQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public SiteDatumLibraryQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public SiteDatumLibraryQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public SiteDatumLibraryQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public SiteDatumLibraryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public SiteDatumLibraryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  材料id
     * @param datumId
     */
    public SiteDatumLibraryQuery datumId(Long datumId){
        setDatumId(datumId);
        return this;
    }

    /**
     * 设置 开始 材料id
     * @param datumIdStart
     */
    public SiteDatumLibraryQuery datumIdStart(Long datumIdStart){
        this.datumIdStart = datumIdStart;
        return this;
    }

    /**
     * 设置 结束 材料id
     * @param datumIdEnd
     */
    public SiteDatumLibraryQuery datumIdEnd(Long datumIdEnd){
        this.datumIdEnd = datumIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料id
     * @param datumIdIncrement
     */
    public SiteDatumLibraryQuery datumIdIncrement(Long datumIdIncrement){
        this.datumIdIncrement = datumIdIncrement;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdList
     */
    public SiteDatumLibraryQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        return this;
    }

    /**
     * 设置 材料id
     * @param datumIdNotList
     */
    public SiteDatumLibraryQuery datumIdNotList(List<Long> datumIdNotList){
        this.datumIdNotList = datumIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<SiteDatumLibraryQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<SiteDatumLibraryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<SiteDatumLibraryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<SiteDatumLibraryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}