package com.mortals.xhx.module.workman.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
import org.apache.poi.ss.usermodel.PictureData;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 工作人员视图对象
 *
 * @author zxfei
 * @date 2022-01-12
 */
@Data
public class WorkmanVo extends BaseEntityLong {
    private String oldPwd;
    private String newPwd;

    /**
     * 证件图片附件
     */
    @Excel(name = "证件图片", type = Excel.Type.IMPORT, cellType = Excel.ColumnType.IMAGE)
    @JSONField(serialize = false)
    private PictureData picObj;


    private String filePath;

}