package com.mortals.xhx.module.apply.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.apply.dao.ApproverDao;
import com.mortals.xhx.module.apply.model.ApproverEntity;

/**
* ApproverService
*
* 单事项审批人员 service接口
*
* @author zxfei
* @date 2023-05-23
*/
public interface ApproverService extends ICRUDService<ApproverEntity,Long>{

    ApproverDao getDao();


    /**
     * 根据用户id查询部门
     * @param userId
     * @return
     * @throws AppException
     */
    String getDeptCodeByUser(Long userId) throws AppException;
}